=== debian/changelog ===
dracut (044+241-3) unstable; urgency=low

  * control: fix Recommends, Closes: #852083

 -- Thomas Lange <lange@debian.org>  Wed, 22 Mar 2017 18:52:25 +0000

dracut (044+241-2) unstable; urgency=low

  * add patch for dkms aufs modules, Closes: #855370

 -- Thomas Lange <lange@debian.org>  Tue, 28 Feb 2017 11:29:58 +0100

dracut (044+241-1) unstable; urgency=low

  * merge upstream changes
  * 09console-setup/module-setup.sh: fix cp, Closes: #828915
  * control: add recommends, Closes: #852083

 -- Thomas Lange <lange@debian.org>  Tue, 24 Jan 2017 14:40:24 +0000

dracut (044+223-1) unstable; urgency=low

  * new upstream
  * control: only depend on asciidoc-base

 -- Thomas Lange <lange@debian.org>  Tue, 17 Jan 2017 16:20:51 +0100
