=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Thomas Lange <lange@debian.org>
Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev
Standards-Version: 3.9.8
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html

Package: dracut
Architecture: all
Multi-Arch: foreign
Suggests: dracut-network
Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
Provides: linux-initramfs-tool
Conflicts: initramfs-tools, live-tools
Description: Low-level tool for generating an initramfs image (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: dracut-core
Architecture: any
Multi-Arch: foreign
Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd
Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, ${shlibs:Depends}, ${misc:Depends}
Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
Description: Low-level tool for generating an initramfs image (core tools)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-network
Architecture: all
Recommends: nfs-common, open-iscsi, nbd-client, curl
Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
Description: Low-level tool for generating an initramfs image (network modules)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-config-generic
Architecture: all
Depends: dracut-core
Description: Low-level tool for generating an initramfs image
 This is the dracut configuration to turn off hostonly image generation

Package: dracut-config-rescue
Architecture: all
Depends: dracut-core
Description: Low-level tool for generating an initramfs image
 This is the dracut configuration to turn on rescue image generation
