## dracut 045+132

=== debian/changelog ===
dracut (045+132-1) unstable; urgency=low

  * new upstream version, Closes: #867568, #862845, #743791
  * replace crc32 patch by adding driver to entry in dracut.conf.d
  * add lvmmerge and multipath-hostonly modules
  * make man pages reproducible, Thanks to Jeremy Bobbio for the
    patch, Closes: #783131

 -- Thomas Lange <lange@debian.org>  Fri, 11 Aug 2017 22:05:11 +0200
