=== debian/changelog ===
dracut (047-2) unstable; urgency=low

  * add missing depends, Closes: #890990

 -- Thomas Lange <lange@debian.org>  Wed, 21 Feb 2018 14:55:16 +0100

dracut (047-1) unstable; urgency=low

  * new upstream version
  * control: add depends, Closes: #887202, update Vcs fields,
    update standards version
  * add modules.d/81cio_ignore

 -- Thomas Lange <lange@debian.org>  Wed, 21 Feb 2018 09:49:15 +0100
