=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
+Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
+Standards-Version: 4.1.3.0
+Vcs-Browser: https://salsa.debian.org/debian/dracut
+Vcs-Git: https://salsa.debian.org/debian/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
 
 Package: dracut
@@ -24,7 +24,7 @@
 Architecture: any
 Multi-Arch: foreign
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd
-Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, ${shlibs:Depends}, ${misc:Depends}
+Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Description: Low-level tool for generating an initramfs image (core tools)
