=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- --systemdsystemunitdir=/lib/systemd/system --libdir=/usr/lib
	debian/fix-revdate

override_dh_fixperms-arch:
	dh_fixperms
	find debian/ -name "*.sh" | grep modules.d | xargs chmod 755

override_dh_fixperms-indep:
	dh_fixperms
	find debian/ -name "*.sh" | grep modules.d | xargs chmod 755

override_dh_auto_test:

override_dh_clean:
	dh_clean dracut.pc Makefile.inc dracut-version.sh
