## dracut 048+80

=== debian/changelog ===
dracut (048+80-2) unstable; urgency=medium

  * fix bashism in several scripts, Closes: #772260
  * add patch to workaround changes in bash-5 while fsck'ing,
    Closes: #920563

 -- Thomas Lange <lange@debian.org>  Tue, 07 May 2019 13:11:11 +0200

dracut (048+80-1) unstable; urgency=low

  * new upstream
  * fix duplicate copy of README.Debian: Closes: #905281
  * 10-debian.conf: remove prelink option
  * remove 02fips-aesni, 90multipath-hostonly
  * new standards version

 -- Thomas Lange <lange@debian.org>  Fri, 24 Aug 2018 14:29:22 +0200
