=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+DPKG_EXPORT_BUILDTOOLS=1
+-include /usr/share/dpkg/buildtools.mk
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --systemdsystemunitdir=/lib/systemd/system --libdir=/usr/lib
