## dracut 050+65

=== debian/changelog ===
dracut (050+65-1) unstable; urgency=medium

  * control: add breaks and replaces, Closes: #959852
  * merge upstream changes, Closes: #963989
  * add module nvmf

 -- Thomas Lange <lange@debian.org>  Wed, 01 Jul 2020 12:13:36 +0200

dracut (050+35-4) unstable; urgency=high

  * add git tag, so dracut shows correct version

 -- Thomas Lange <lange@debian.org>  Wed, 22 Apr 2020 22:43:28 +0200

dracut (050+35-3) unstable; urgency=high

  * fix microcode loading, Closes: #958191

 -- Thomas Lange <lange@debian.org>  Wed, 22 Apr 2020 22:09:22 +0200

dracut (050+35-2) unstable; urgency=low

  * source only upload needed, after 050+35-1 went through new queue

 -- Thomas Lange <lange@debian.org>  Thu, 16 Apr 2020 10:55:04 +0200

dracut (050+35-1) unstable; urgency=low

  * new upstream
  * debian/copyright: fix entries, Closes: #956288

 -- Thomas Lange <lange@debian.org>  Fri, 10 Apr 2020 21:57:03 +0200

dracut (050+31-1) unstable; urgency=low

  * new upstream: Closes: #954019
  * add module 90nvdimm

 -- Thomas Lange <lange@debian.org>  Thu, 19 Mar 2020 23:01:22 +0100

dracut (050-1) unstable; urgency=low

  [ Thomas Lange ]
  * new upstream version, Closes: #948135, #945596, #952820
  * additional packages dracut-live and dracut-squash were added by
    upstream
  * fix dpkg triggers, Closes: #720081
  * kernel/postinst.d/dracut: avoid running multiple times
  * update standards version
  * control: use debhelper-compat, upgrade to 12
  * add patch systemd-vconsole-setup.service
  * remove 90aufs, only supported until 3.X
  * add dracut module 06rngd
  * add README.cross, rename README -> README.md
  * add mkinitrd script

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

 -- Thomas Lange <lange@debian.org>  Fri, 06 Mar 2020 13:30:46 +0100
