=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12), debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/dracut
 Vcs-Git: https://salsa.debian.org/debian/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
@@ -15,7 +15,7 @@
 Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
 Provides: linux-initramfs-tool
 Conflicts: initramfs-tools, live-tools
-Description: dracut is an event driven initramfs infrastructure
+Description: Initramfs generator using udev
  This package builds a bootable initramfs for Linux kernel packages.  The
  initramfs is loaded along with the kernel and is responsible for
  mounting the root filesystem and starting the main init system.
@@ -23,8 +23,8 @@
 Package: dracut-core
 Architecture: any
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd
-Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
+Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd, pigz
+Depends: bash (>= 4), cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Description: dracut is an event driven initramfs infrastructure (core tools)
@@ -53,6 +53,29 @@
  Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
  NBD and FCOE with dracut-network.
 
+Package: dracut-squash
+Architecture: all
+Depends: dracut-core, squashfs-tools, ${misc:Depends}
+Breaks: dracut-core (<< 050-1)
+Replaces: dracut-core (<< 050-1)
+Description: dracut is an event driven initramfs infrastructure (squashfs modules)
+ Package to build an initramfs with most files in a squashfs image.
+ .
+ This package provides a dracut module to build an initramfs, but
+ store most files in a squashfs image, result in a smaller initramfs
+ size and reduce runtime memory usage.
+
+Package: dracut-live
+Architecture: all
+Depends: dracut-network, curl, dmsetup, ${misc:Depends}
+Breaks: dracut-network (<< 050-1), dracut-core (<< 050-1)
+Replaces: dracut-network (<< 050-1), dracut-core (<< 050-1)
+Description: dracut is an event driven initramfs infrastructure (live image modules)
+ Package to build a dracut initramfs with live image capabilities.
+ .
+ This package requires everything which is needed to build an
+ initramfs with dracut, with live image capabilities, like Live CDs.
+
 Package: dracut-config-generic
 Architecture: all
 Depends: dracut-core
