=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,11 @@
 override_dh_fixperms-indep:
 	dh_fixperms
 	find debian/ -name "*.sh" | grep modules.d | xargs chmod 755
+	rm -f debian/*/usr/lib/dracut/modules.d/98dracut-systemd/*.asc
+	rm -f debian/*/usr/lib/dracut/modules.d/98dracut-systemd/*.8
 
 override_dh_auto_test:
 
 override_dh_clean:
 	dh_clean dracut.pc Makefile.inc dracut-version.sh
+	git st|grep modified: | awk '/.asc/ {print $$2}' | xargs -r git checkout
