## dracut 056

=== debian/changelog ===
dracut (056-3) unstable; urgency=low

  * new upstream, Closes: #991918
  * control: Remove unnecessary constraints, demote pkg-config to
    Recommends, Closes: #991920
  * set Debian version in dracut-version.sh, Closes: #987320
  * 90overlay-root/module-setup.sh: fix loading overlayfs kernel module

 -- Thomas Lange <lange@debian.org>  Tue, 24 May 2022 21:29:13 +0200

dracut (056-2) experimental; urgency=low

  * Team upload.
  * Fix conflict between dracut-{core,live,network} after failed amendment
    of modules list

 -- Dominik George <natureshadow@debian.org>  Wed, 11 May 2022 12:39:03 +0200

dracut (056-1) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Refresh patches for dracut 056
  * Update d/copyright
    + Accounted for moved source files
    + Accounted for source files written by authors not mentioned yet
    + Accounted for a vendored Rust module (crosvm).
  * Install all modules
  * Install dracut-util

 -- Dominik George <natureshadow@debian.org>  Tue, 10 May 2022 16:53:52 +0200

dracut (055-1) experimental; urgency=low

  [ Dominik George ]
  * Team upload.
  * New upstream version (Closes: #991918)

  [ Andre Russ ]
  * Refresh patches for dracut 055
    + systemd needs more users in Debian
    + crc32c patch was applied upstream
    + several minor changes
  * Update installed files
    + Several docs were moved upstream
    + mkinitrd was removed

 -- Dominik George <natureshadow@debian.org>  Fri, 06 Aug 2021 11:36:31 +0200
